ValidationState(3)

NAME
ValidationState - The ValidationState class encapsulates a QBitArray that has a bit set (or unset) depending on wether the input for the associated index has been verified. The indexes correspond to the mandatory items enumerated in the ValidationItem enum.

SYNOPSIS

#include <newflightdialog.h>

  Public Types
enum ValidationItem { doft = 0, dept = 1, dest = 2, tofb = 3, tonb = 4, pic = 5, acft = 6 }
The ValidationItem enum contains the items that are mandatory for logging a flight: Date of Flight, Departure, Destination, Time Off Blocks, Time On Blocks, Pilot in Command, Aircraft Registration.

  Public Member Functions
void validate (ValidationItem item)
void validate (int index)
void invalidate (ValidationItem item)
void invalidate (int index)
bool allValid () const
bool timesValid () const
bool locationsValid () const
bool nightDataValid () const
bool acftValid () const
bool validAt (int index) const
bool validAt (ValidationItem item) const
void printValidationStatus () const

Detailed Description

The ValidationState class encapsulates a QBitArray that has a bit set (or unset) depending on wether the input for the associated index has been verified. The indexes correspond to the mandatory items enumerated in the ValidationItem enum.

Author

Generated automatically by Doxygen for openPilotLog from the source code.